"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Authentication", {
  enumerable: true,
  get: function () {
    return _handshake.Authentication;
  }
});
Object.defineProperty(exports, "ConnectionStatusListener", {
  enumerable: true,
  get: function () {
    return _connectionStatus.ConnectionStatusListener;
  }
});
Object.defineProperty(exports, "Client", {
  enumerable: true,
  get: function () {
    return _basic.Client;
  }
});
Object.defineProperty(exports, "SmartClient", {
  enumerable: true,
  get: function () {
    return _smart.SmartClient;
  }
});
Object.defineProperty(exports, "WeakClient", {
  enumerable: true,
  get: function () {
    return _weak.WeakClient;
  }
});
Object.defineProperty(exports, "services", {
  enumerable: true,
  get: function () {
    return _mapping.services;
  }
});
exports.VERSION = void 0;

var _handshake = require("./authentication/handshake");

var _connectionStatus = require("./connection/connection-status");

var _basic = require("./client/basic");

var _smart = require("./client/smart");

var _weak = require("./client/weak");

var _mapping = require("./mapping");

/**
 * SDK Version
 * @type {string}
 */
const VERSION = '3.4.0';
exports.VERSION = VERSION;